require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')

module OpenvasCli
  describe VasNVT do
    it 'should pull NVT`s', :slow => true do
      rules = VasNVT.get_all
      rules.should_not be nil
      rules.count.should > 0
      rules.each{ |r| r.should be_valid }
    end
    
    it 'should pull an NVT by OID' do
      fam = VasNVTFamily.get_all.choice
        
      id = VasNVT.get_all(:family => fam.name).choice.id
    
      rule = VasNVT.get_by_id(id)
      rule.should_not be nil
      rule.should be_valid
    end
    
    it 'should pull an NVT by Family' do
      fams = VasNVTFamily.get_all
      
      my_fam = fams[rand(fams.count)]
      
      rules = VasNVT.get_all(:family => my_fam.name)
      rules.should_not be nil
      rules.count.should == my_fam.nvt_count
      rules.each { |r|
        r.should be_valid
        r.family.should == my_fam.name
      }
    end 
  end
end
