require File.expand_path(File.dirname(__FILE__) + '/../spec_helper')
require 'nokogiri'

module OpenvasCli
  describe VasTaskProgress do
    it 'should pull the progress correctly' do
      task_xml = '<?xml version="1.0" encoding="UTF-8"?>
<get_tasks_response status="200" status_text="OK">
  <task_count>1</task_count>
  <sort>
    <field>name<order>ascending</order></field>
  </sort>
  <apply_overrides>0</apply_overrides>
  <task id="f4cb1a0a-f2d5-47f4-b4a3-a16e31319ca8">
    <name>Test_Task_Runner_2011-04-22_09:17:24</name>
    <comment>Going to run this one.</comment>
    <config id="698f691e-7489-11df-9d8c-002264764cea">
      <name>Full and fast ultimate</name>
    </config>
    <escalator id="">
      <name/>
    </escalator>
    <target id="6bd29de5-f4e4-471a-9831-b1cdc14cd6bf">
      <name>Target_Test_Gateway_2011-04-22_09:17:24</name>
    </target>
    <slave id="">
      <name/>
    </slave>
    <status>Running</status>
    <progress><host_progress><host>10.55.128.254</host>98</host_progress>98</progress>
    <report_count>1<finished>0</finished></report_count>
    <trend/>
    <schedule id="">
      <name/>
      <next_time>over</next_time>
    </schedule>
  </task>
</get_tasks_response>'
      x = Nokogiri::XML(task_xml)
      
      prg = VasTaskProgress.from_xml_node(x.at_xpath("/get_tasks_response/task/progress"))
      prg.overall.should == 98
      prg.should have(1).ip_stats
      prg.ip_stats["10.55.128.254"].should == 98
    end
  end
end
