$LOAD_PATH.unshift(File.expand_path(File.join(File.dirname(__FILE__), '..', 'lib', 'openvas-cli')))
$LOAD_PATH.unshift(File.expand_path(File.join(File.dirname(__FILE__), '..', 'lib')))
$LOAD_PATH.unshift(File.dirname(__FILE__))

require 'rspec'
require 'log4r'
require 'fileutils'
require 'openvas-cli'

Dir["#{File.dirname(__FILE__)}/../lib/openvas-cli/vas_*.rb"].each {|f| require f}
# Requires supporting files with custom matchers and macros, etc,
# in ./support/ and its subdirectories.
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each {|f| require f}

RSpec.configure do |config|
  config.filter_run_excluding :slow => true
end


# Set the client and logger up to meet your needs.  Be careful if you set the 
# log level to Log4r::DEBUG.  This will cause A LOT of information to be dumped
# to file.
log_dir = File.expand_path(File.join(File.dirname(__FILE__), "..", "log"))
FileUtils.mkdir(log_dir) unless File.exists?(log_dir)
logger               = Log4r::Logger.new 'test_log'
log_file             = File.expand_path(File.join(File.dirname(__FILE__), '..', 'log', 'test.log'))
log_out              = Log4r::RollingFileOutputter.new('test_log' , 
                              {:filename => log_file.to_s,
                               :maxsize => 10485760})
log_out.level        = Log4r::INFO
logger.outputters    = log_out

OpenvasCli.configure { |config|
  config.password = "Password"
}

OpenvasCli.logger = logger
